% Generated by roxygen2 (4.0.2): do not edit by hand
\name{buildFileTable}
\alias{buildFileTable}
\title{buildFileTable}
\usage{
buildFileTable(rootDir, subDirPattern = NULL, filePattern = NULL,
  ignoreExtensions = c("tar", "md5"), ignore.case = TRUE)
}
\arguments{
\item{rootDir}{the root of directories whose sub directories contains file
waiting for validation. It can be vector of directories, or just
one directory}

\item{subDirPattern}{the pattern of sub directory name. Default is NULL.}

\item{filePattern}{the pattern of file waiting for validation. For example,
"cel$" for AffyMetrix CEL file only. Default is NULL.}

\item{ignoreExtensions}{the extensions of file that will be ignored.
Default is c("tar", "md5").}

\item{ignore.case}{ignore the case difference when list files from sub
directory using filePattern}
}
\value{
a data frame containing full file name and its corresponding
        dataset, which will be used at validateFile
}
\description{
The function build file table in the subdirectories under root directories
user provided. The result table contains two columns, dataset and filename
}
\examples{
rootDir<-paste0(dirname(tempdir()), "/DupChecker")
datafile<-buildFileTable(rootDir=rootDir, filePattern="cel$")
#or
datafile<-buildFileTable(rootDir=c(paste0(rootDir,
                         c("/E-MEXP-3872", "/GSE1478") )), filePattern="cel$")
}

